Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class DeploymentRepository

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.DeploymentRepository

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class DeploymentRepository

extends Object

Repository contains the information needed for deploying to the remote repository.

Java class for DeploymentRepository complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeploymentRepository">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="uniqueVersion" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="layout" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `id`
`protected String` | `layout`
`protected String` | `name`
`protected Boolean` | `uniqueVersion`
`protected String` | `url`

Constructor Summary
`DeploymentRepository()`

Method Summary
`String` | `getId()` Gets the value of the id property.
`String` | `getLayout()` Gets the value of the layout property.
`String` | `getName()` Gets the value of the name property.
`String` | `getUrl()` Gets the value of the url property.
`Boolean` | `isUniqueVersion()` Gets the value of the uniqueVersion property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setLayout(String value)` Sets the value of the layout property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setUniqueVersion(Boolean value)` Sets the value of the uniqueVersion property.
`void` | `setUrl(String value)` Sets the value of the url property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uniqueVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Boolean uniqueVersion

### id

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String id

### name

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String name

### url

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String url

### layout

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String layout

Constructor Detail

### DeploymentRepository

    public DeploymentRepository()

Method Detail

### isUniqueVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Boolean isUniqueVersion()

  Gets the value of the uniqueVersion property.

  Returns:
    possible object is `Boolean`

### setUniqueVersion

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setUniqueVersion(Boolean value)

  Sets the value of the uniqueVersion property.

  Parameters:
    `value` - allowed object is `Boolean`

### getId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setUrl(String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

### getLayout

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getLayout()

  Gets the value of the layout property.

  Returns:
    possible object is `String`

### setLayout

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setLayout(String value)

  Sets the value of the layout property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.